Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.dependencyGraph
Class ResponseTimeDecoration

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractVertexDecoration
          kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.ResponseTimeDecoration

    public class ResponseTimeDecoration

extends AbstractVertexDecoration

Response time decoration for graph vertices. This decoration extracts response times from executions and keeps track of the minimal, maximal and average response time.

Since:
  1.5
Author:
  Holger Knoche

Constructor Summary
`ResponseTimeDecoration(TimeUnit executionTimeunit, TimeUnit displayTimeunit)` Creates a new response time decoration.

Method Summary
`String` | `createFormattedOutput()` Creates formatted output for this decoration.
`double` | `getAverageResponseTime()` Returns the average response time (in ms) registered by this decoration.
`long` | `getMaximalResponseTime()` Returns the maximal response time (in ms) registered by this decoration.
`long` | `getMinimalResponseTime()` Returns the minimal response time (in ms) registered by this decoration.
`long` | `getTotalResponseTime()`
`void` | `registerExecution(Execution execution)` Registers a given execution for the decorated vertex.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseTimeDecoration

    public ResponseTimeDecoration(TimeUnit executionTimeunit,
                                  TimeUnit displayTimeunit)

  Creates a new response time decoration.

  Parameters:
    `executionTimeunit` - The time unit which tells how to interpret the times of the executions.

Method Detail

### registerExecution

    public void registerExecution(Execution execution)

  Registers a given execution for the decorated vertex.

  Parameters:
    `execution` - The execution to register

### getMinimalResponseTime

    public long getMinimalResponseTime()

  Returns the minimal response time (in ms) registered by this decoration.

  Returns:
    See above

### getMaximalResponseTime

    public long getMaximalResponseTime()

  Returns the maximal response time (in ms) registered by this decoration.

  Returns:
    See above

### getAverageResponseTime

    public double getAverageResponseTime()

  Returns the average response time (in ms) registered by this decoration.

  Returns:
    See above

### getTotalResponseTime

    public long getTotalResponseTime()

### createFormattedOutput

    public String createFormattedOutput()

  Description copied from class: `AbstractVertexDecoration`
  Creates formatted output for this decoration.

  Specified by:
    `createFormattedOutput` in class `AbstractVertexDecoration`
  Returns:
    See above

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net